<template>
  <div style="margin: 0;">
    <transition name="bounce">
      <my-popup v-if="getPopup.popup === true" :clr="getPopup.clr" :msg="getPopup.message"/>
    </transition>
    <router-view v-slot="{ Component, route }">
      <transition :name="route.meta.transition || ''">
        <component :is="Component" />
      </transition>
    </router-view>
  </div>
</template>

<script setup lang="ts">
import { onMounted } from 'vue';
import langStore from './store/langStore';
import popup from './store/popup';
import MyPopup from './components/MyPopup.vue';

const { getPopup } = popup;
const { getLang } = langStore;

const stoLang = localStorage.getItem('midoLang');
onMounted(() => {
  if(stoLang) {
    getLang.value.opt = stoLang;
  } else {
    localStorage.setItem('midoLang', 'fr')
  }
})
</script>

<style>
#app {
  font-family: 'Open Sans', sans-serif;
}
body {
  margin: 0;
  padding: 0;
  background: var(--night);
}

body::-webkit-scrollbar {
    display: none;
}
body::-webkit-scrollbar-track {
display: none;
}
body::-webkit-scrollbar-thumb {
display: none;
}

img {
  width: 100%;
  height: 100%;
}

a {
  text-decoration: none;
}
img:not([src]){ 
    visibility: hidden;
} .defade {
    animation: def 2.5s;
  }
  @keyframes def {
    0% {opacity: 0;}
    50% { opacity: .5;}
    100% {opacity: 1;}
  }
  .hidden-ctn {
  opacity: 0;
}

.saw {
  opacity: 1;
  transition: opacity 2.5s;
}
.btn-head {
    border: 1px solid var(--gray-mid);
    box-sizing: border-box;
}
.btn-bord {
    border: 1px solid var(--night);
    box-sizing: border-box;
}
.brand {
    font-size: 20px;
    font-family: 'Permanent Marker', cursive;
}

</style>
